Bug 21143 - glibc 2.1.94-3 does not function correctly with libX11.so
glibc 2.1.94-3 does not function correctly with libX11.so
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-11-20 15:57 EST by Tyrel
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-21 11:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tyrel 2000-11-20 15:57:02 EST
I try to compile povray 3.1g, and it gets to the linking step and reports:
/usr/X11R6/lib/libX11.so: undefined reference to `getpwuid_r@GLIBC_2.1.2'
/usr/X11R6/lib/libX11.so: undefined reference to `shmctl@GLIBC_2.2'
/usr/X11R6/lib/libX11.so: undefined reference to `getpwnam_r@GLIBC_2.1.2'

This is on a RedHat Linux 7 system will ALL of the updates listed at 
redhat's site as of 11/20/2000.  This includes the update that make glibc 
version 2.1.94-3
Comment 1 Jakub Jelinek 2000-11-21 02:08:00 EST
By any chance, doesn't it use egcs compiler as opposed to gcc?
egcs is the compiler for binary compatibility with glibc 2.1
which has glibc 2.1 shared libs in the search path.
Either change it to use gcc as compiler, or make sure it includes
-L/usr/lib on the gcc command lines (if you want povray compiled
by egcs 1.1.2 but against glibc 2.2) or make sure
-L/usr/i386-glibc21-linux/lib is present before -L/usr/X11R6/lib
if you want egcs 1.1.2 compiled povray against glibc 2.1.
This is needed because explicit -L/usr/X11R6/lib causes it to pick
libX11 libraries compiled against glibc 2.2, but then compiler's
-L/usr/i386-glibc21-linux/lib internal path is used and that takes
glibc2.1 in.
Comment 2 Tyrel 2000-11-21 02:55:10 EST
It was indeed using egcs.  I'll try your suggestions tomorrow when I have time
Comment 3 Tyrel 2000-11-21 11:31:08 EST
I followed the suggestion that I put -L/usr/lib in my library path.  This fixed 
the problem.

Thanks for the help guys, and sorry for reporting a ghost bug!

Note You need to log in before you can comment on or make changes to this bug.